package main

import (
	"flag"
	"fmt"
)

var (
	TestUrl        = flag.String("url", "http://192.168.175.60:8088", "login url")
	TestProductKey = flag.String("productkey", "99b11b395c84435202692e36dada175c7af9452038a62a40b230b5e18b7d51ff", "product key")
)

func main() {
	flag.Parse()

	if *TestProductKey == "" {
		fmt.Println("product key not provided. use -productkey flag")
		return
	}

	dev := NewDevice(*TestUrl, *TestProductKey, "ffe34e", "version")

	err := dev.DoRegister()
	if err != nil {
		fmt.Errorf("device register error %s", err)
		return
	}

	err = dev.DoLogin()
	if err != nil {
		fmt.Errorf("device login error %s", err)
		return
	}

	err = dev.DoAccess()
	if err != nil {
		fmt.Errorf("device access error %s", err)
		return
	}

}
